> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cozmox.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List workflows

> Get a paginated list of workflows with filtering



## OpenAPI

````yaml /openapi.yaml get /org/{org_id}/workflows
openapi: 3.0.0
info:
  contact: {}
  title: Cozmo - API
  version: devel
servers:
  - url: https://v2-nova-api.prod.czmx.in/api
security:
  - BearerAuth: []
paths:
  /org/{org_id}/workflows:
    get:
      tags:
        - Workflows
      summary: List workflows
      description: Get a paginated list of workflows with filtering
      operationId: listWorkflows
      parameters:
        - description: Organization ID
          in: path
          name: org_id
          required: true
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          schema:
            type: integer
            default: 1
        - description: Page size
          in: query
          name: size
          schema:
            type: integer
            default: 20
        - description: Filter by active status
          in: query
          name: is_active
          schema:
            type: boolean
        - description: Filter by trigger type
          in: query
          name: trigger_type
          schema:
            type: string
        - description: Search in workflow name and description
          in: query
          name: search
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/workflows.PaginatedWorkflowsResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
        '429':
          description: Rate limit exceeded
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/helper.ResponseError'
components:
  schemas:
    workflows.PaginatedWorkflowsResponse:
      properties:
        data:
          items:
            $ref: '#/components/schemas/workflows.WorkflowListItemResponse'
          type: array
        meta:
          $ref: '#/components/schemas/workflows.PaginationMeta'
      type: object
    helper.ResponseError:
      properties:
        data: {}
        error: {}
        message:
          type: string
        status:
          type: boolean
      type: object
    workflows.WorkflowListItemResponse:
      properties:
        created_at:
          type: string
        description:
          type: string
        id:
          type: string
        is_active:
          type: boolean
        name:
          type: string
        published_at:
          type: string
        trigger_type:
          type: string
        updated_at:
          type: string
        version:
          type: integer
      type: object
    workflows.PaginationMeta:
      properties:
        page:
          type: integer
        size:
          type: integer
        total:
          type: integer
        total_pages:
          type: integer
      type: object
  securitySchemes:
    BearerAuth:
      type: apiKey
      in: header
      name: X-API-Key

````